<template>
    <div id="indicator"></div>
</template>

<script>
    import {eventBus} from './../utils/EventBus'

    export default {
        name: "Indicator",
        mounted:function(){
            let vm = this;

            eventBus.$on('IndicatorProgress', (perc) => {
                vm.$el.style.width = perc + '%';
            });
            eventBus.$on('HideIndicatorProgress', (perc) => {
                vm.$el.style.width = 0;
            });
        }
    }
</script>

<style scoped>
    #indicator{
        position: fixed;
        top:0;
        left:0;
        height: 5px;
        background-color: #ff006a;
        z-index: 999;
    }
</style>
